{
  "_format": "hh-sol-artifact-1",
  "contractName": "Mimc",
  "sourceName": "contracts/src/libraries/Mimc.sol",
  "abi": [
	{
		"inputs": [],
		"name": "DataIsNotMod32",
		"type": "error"
	},
	{
		"inputs": [],
		"name": "DataMissing",
		"type": "error"
	},
	{
		"inputs": [
			{
				"internalType": "bytes",
				"name": "_msg",
				"type": "bytes"
			}
		],
		"name": "hash",
		"outputs": [
			{
				"internalType": "bytes32",
				"name": "mimcHash",
				"type": "bytes32"
			}
		],
		"stateMutability": "pure",
		"type": "function"
	}
  ],
  "bytecode": "[encoded data, 10246 characters]",
  "deployedBytecode": "[encoded data, 10082 characters]",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
